<#

NB! Dette skriptet vil kun fungere for interne brukere i Helse Vest IKT da det kreves rettigheter og tilganger.

Henter ned info fra assyst basert på en id, lagrer filen

URL for kilde (fra assyst GUI)
https://*****************************/items/126813?fields=relations.relatedItem.product,relations.relatedDetail&relations.discontinued=false

Nøkkel her er 126813

Eks:
.\hentAssyst.ps1 126813


For søk eks https://*********************************/items?shortCode[like]=biztalk&discontinued=false
#>
Param(
	[Parameter(Mandatory=$true,HelpMessage="Trenger kode for systemID")][string] $systemID
)

$resp = $null
#    $urlSource = "https://**********************************/items/$systemID?fields=relations.relatedItem.product,relations.relatedDetail&relations.discontinued=false"
#$urlSource = "**********************************/items/"+$systemID+"?fields=product,relations.relatedItem.product,relations.relatedDetail&relations.discontinued=false"
$urlSource = "**********************************items/"+$systemID+"?fields=product,product.productClass.genericClass,product.GenericClass,relations.relatedItem.product,relations.relatedDetail,relations.relatedItem.product.productClass.genericClass&relations.discontinued=false"
$urlSource = "**********************************items/"+$systemID+"?fields=product,product.productClass.genericClass,product.GenericClass,relations.relatedItem.product,relations.relatedDetail,relations.relatedItem.product.productClass.genericClass&relations.discontinued=false"
Write-Host "URL         : "$urlSource
try {
	$resp = Invoke-WebRequest -UseDefaultCredential -URI $urlSource
}
catch {
	Write-Host $_
}
if(200 -eq $resp.StatusCode) {
	$outFilename = "C:\Users\matpha\OneDrive - Helse Vest\Dokumenter\Assyst\xml files\"+$systemID+".xml"
	Write-Host "Skriver til "$outFilename
	Out-File -FilePath $outFilename -Force -InputObject $resp.Content 
} else {
	Write-Host "Statuscode"$resp.StatusCode -ForegroundColor Red
	$resp
}
